pcl::PointXYZRGBA Struct Reference
Module common

A point structure representing Euclidean xyz coordinates, and the RGBA color. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointXYZRGBA:

## Public Member Functions

| PointXYZRGBA (const _PointXYZRGBA &p)
| PointXYZRGBA ()

## Friends

std::ostream & | operator<< (std::ostream &os, const PointXYZRGBA &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointXYZRGBA
| PCL_ADD_POINT4D
| PCL_ADD_RGB

## Detailed Description

A point structure representing Euclidean xyz coordinates, and the RGBA color.

The RGBA information is available either as separate r, g, b, or as a packed uint32_t rgba value. To pack it, use:

int rgb = ((int)r) << 16 | ((int)g) << 8 | ((int)b);

To unpack it use:

int rgb = ...;
uint8_t r = (rgb >> 16) & 0x0000ff;
uint8_t g = (rgb >> 8) & 0x0000ff;
uint8_t b = (rgb) & 0x0000ff;

Definition at line 539 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointXYZRGBA() [1/2]

pcl::PointXYZRGBA::PointXYZRGBA | ( | const _PointXYZRGBA & | p | ) |

inline

Definition at line 541 of file point_types.hpp.

## PointXYZRGBA() [2/2]

pcl::PointXYZRGBA::PointXYZRGBA | ( |  | ) |

inline

Definition at line 547 of file point_types.hpp.

References pcl::operator<<().

## Friends And Related Function Documentation

## operator<<

std::ostream& operator<< | ( | std::ostream & | os,
|  | const PointXYZRGBA & | p
| ) |  |

friend

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/common/include/pcl/impl/point_types.hpp